select_run <-
function(gpr,members,tcon,epsilon0,alpha10,beta010,alpha20,beta020,estimate.alpha, common.alpha, dist.dep, ASE=TRUE){
   exs<-sum(members[[2]]==gpr)
   if (exs>0) {

     allecounts1<-tcon[members[[2]]==gpr,]
     allecounts<-array(0, c(nrow(allecounts1), 2, 24))
        for (ani in 1:24)
        {
        allecounts[,,ani]<-as.matrix(allecounts1[,c(3+ani*2, 4+ani*2)])
        }
     
     dist <- diff(allecounts1[,2])
     
     if (ASE == TRUE)
     {
       rsobjnlam_result<-HMM(allecounts, dist=dist, reps=reps, epsilon0=epsilon0,alpha10=alpha10,beta010=beta010,alpha20=alpha20,beta020=beta020,estimate.alpha=estimate.alpha,common.alpha=common.alpha, dist.dep=dist.dep)
     }
     if (ASE == FALSE)
     {
       rsobjnlam_result<-HMMNASE(allecounts, dist=dist, reps=reps, epsilon0=epsilon0,dist.dep=dist.dep)
     }
   } else {
     warning(paste("group:",gpr,"does not exists"))
   }
   cat ("Done group",gpr,"\n")
   save(rsobjnlam_result,file=paste("results_group",gpr,"Rdata",sep="."))
   return(rsobjnlam_result)
}
